#include <bits/stdc++.h>

using namespace std;

int zam(int* x, int* y){
    int p =*x;
    *x =*y;
    *y=p;
}

int main(void)
{
    ios_base::sync_with_stdio(false);
    int n;
    scanf("%d",&n);
    int a[n];
    for(int i=0;i<n;i++){
        scanf("%d",&a[i]);
    }

    int mi=-1, pr=-1, pl=-1;
    for(int i=n-1;i>=0;i--){
        if(a[i]>a[mi]){
            mi=i;
        }
        if(a[i]<a[mi]){
            pl=i;
            pr = mi;
        }
    }
    if(pl==-1){
        zam(&a[n-1],&a[n-2]);
    }
    else{
        zam(&a[pl],&a[pr]);
    }
    for(int i=0;i<n;i++){
        printf("%d ",a[i]);
    }

    return 0;
}